Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Jul 08 18:50
    onbjerg closed #45
  • May 06 2019 22:56

    ukstv on master

    Publish - @machinomy/wraptso@… Remove dependency on chalk in w… Publish - @machinomy/wraptso@… (compare)

  • May 06 2019 22:56

    ukstv on wraptso@0.1.4

    (compare)

  • May 06 2019 22:56

    ukstv on wraptso@0.1.3

    (compare)

  • May 06 2019 22:52

    ukstv on master

    Publish - @machinomy/wraptso@… Publish - @machinomy/wraptso@… Do not require console.table and 1 more (compare)

  • May 06 2019 22:51

    ukstv on wraptso@0.1.2

    Publish - @machinomy/wraptso@… Publish - @machinomy/wraptso@… (compare)

  • May 06 2019 12:06

    ARyaskov on master

    Up wraptso version. (compare)

  • May 06 2019 12:06

    ARyaskov on master

    Fix wraptso for modern environm… (compare)

  • Feb 21 2019 13:18

    ukstv on master

    Remove isGreaterThanPrevious va… Publish - @machinomy/cli@0.0.… (compare)

  • Feb 05 2019 18:00

    ARyaskov on master

    Fix TravisCI. (compare)

  • Feb 05 2019 08:50

    ukstv on master

    Publish - @machinomy/cli@0.0.… (compare)

  • Feb 05 2019 08:48

    ARyaskov on master

    Introduce updateSettlingUntil m… Fix lint error. Fix SQL quotes. and 4 more (compare)

  • Feb 05 2019 08:48
    ARyaskov closed #260
  • Feb 05 2019 08:48
    ARyaskov synchronize #260
  • Feb 05 2019 08:48

    ARyaskov on updateSettlingUntil-in-DAO

    Inflate channel's settlingUntil… Publish - @machinomy/cli@0.0.… Merge branch 'master' into tech… (compare)

  • Feb 05 2019 08:43

    ukstv on master

    Publish - @machinomy/cli@0.0.… (compare)

  • Feb 05 2019 08:42

    ukstv on master

    Inflate channel's settlingUntil… (compare)

  • Feb 05 2019 08:35

    ukstv on inflate-settling-until

    Inflate channel's settlingUntil… (compare)

  • Jan 30 2019 12:01
    ARyaskov synchronize #260
  • Jan 30 2019 12:01

    ARyaskov on updateSettlingUntil-in-DAO

    Refactor BigNumber operation. (compare)

Michiel de Jong
@michielbdejong
ok np, let me know when you do get to it! :)
Michiel de Jong
@michielbdejong
In case you're having trouble compiling the examples, here are compiled server.js and client.js from machinomy v1.7.9: https://github.com/michielbdejong/machinomy/tree/mj-compile-examples/examples
John Dutchak
@jdutchak
whats the proper command to compile / run from source npm ? i have tried node bin/machinomy.ts setup --namespace receiver but this crashes
i have ganache runninng
eyals
@aykesubir
Hey! I'd also to be happy to a link with a description of how to get Machinomy running locally/against Ropsten? I tried everything from the github but it seems not to work...
eyals
@aykesubir
Even after upgrading to v1.8.0...
eyals
@aykesubir
should https://machinomy.com/documentation/getting-started/ work now with the new version?
eyals
@aykesubir
*In Windows10
Sergey Ukustov
@ukstv
@aykesubir Hold on. Upgrading the docs to get started today, first README then Getting Started tutorial. Currently it is invalid.
eyals
@aykesubir
@ukstv Sorry :+1: Got so excited about the new version I couldn't wait :)
Kincaid O'Neil
@kincaidoneil
@ukstv Is there some example code for sending ERC-20 tokens that I could refer to?
ชัยณรงค์ คำแสน
@EIU2gduWGvVtFGc_twitter
Support​
David Aktary
@aktary
@ukstv are docs updated now?
Leon Prouger
@leonprou
Hey guys, nice project
Looks like you were totally inspired by the autonomous cars of Andreas :P
Pankaj Mendki
@pankaj.mendki_gitlab
is anyone able to run test application on Ubuntu ?
vans163
@vans163
@kincaidoneil ditto
Is there a way for the sender to settle?
vans163
@vans163

├── UNMET PEER DEPENDENCY db-migrate-pg@^0.3.0
├── UNMET PEER DEPENDENCY db-migrate-sqlite3@^0.2.1
├─┬ machinomy@1.9.6
│ ├── homedir@0.6.0 (git+https://github.com/ukstv/node-homedir.git#c12f20b3e0b0f2cdf745cfda241ef3702c098098)
│ └─┬ web3@0.20.6
│ └── bignumber.js@2.0.7 (git+https://github.com/frozeman/bignumber.js-nolookahead.git#57692b3ecfc98bbdd6b3a516cb2353652ea49934)
├── UNMET PEER DEPENDENCY mongodb@^2.2.31
├── UNMET PEER DEPENDENCY pg@^7.4.1
└── UNMET PEER DEPENDENCY sqlite3@^4.0.0

npm WARN machinomy@1.9.6 requires a peer of db-migrate-pg@^0.3.0 but none was installed.
npm WARN machinomy@1.9.6 requires a peer of db-migrate-sqlite3@^0.2.1 but none was installed.
npm WARN machinomy@1.9.6 requires a peer of mongodb@^2.2.31 but none was installed.
npm WARN machinomy@1.9.6 requires a peer of pg@^7.4.1 but none was installed.
npm WARN machinomy@1.9.6 requires a peer of sqlite3@^4.0.0 but none was installed.

Andrei Riaskov
@ARyaskov
@vans163 Hi! You should use yarn instead of npm; as for "UNMET PEER DEPENDENCY” - machinomy wants to see one of mentioned dbms engines installed - machinomy does not have a “straight” dbms dependencies for size reducing purpose. You can install, for example, pg (and db-migrate-pg) - yarn global add pg db-migrate-pg
vans163
@vans163
@ARyaskov thanks but still problems..
$ yarn global add pg db-migrate-pg
yarn global v1.7.0
[1/4] Resolving packages...
[2/4] Fetching packages...
[3/4] Linking dependencies...
[4/4] Building fresh packages...
warning "pg@7.4.3" has no binaries
warning "db-migrate-pg@0.4.0" has no binaries
Done in 0.58s.
$ yarn global add machinomy
yarn global v1.7.0
[1/4] Resolving packages...
[2/4] Fetching packages...
[3/4] Linking dependencies...
warning "machinomy@1.9.6" has incorrect peer dependency "db-migrate-pg@^0.3.0".
warning "machinomy@1.9.6" has unmet peer dependency "db-migrate-sqlite3@^0.2.1".
warning "machinomy@1.9.6" has unmet peer dependency "mongodb@^2.2.31".
warning "machinomy@1.9.6" has unmet peer dependency "sqlite3@^4.0.0".
[4/4] Building fresh packages...
warning "machinomy@1.9.6" has no binaries
Im not a javascript native
vans163
@vans163
warning "db-migrate-pg@0.4.0" has no binaries
why does it have database dependencies actually, do I need to install mongodb and sqlite3? doesnt make sense..
Andrei Riaskov
@ARyaskov
@vans163 I think you can don’t pay attention on these warnings (since its not errors).
warning "machinomy@1.9.6" has unmet peer dependency "db-migrate-sqlite3@^0.2.1”. - if you don’t use sqlite you can skip this warning
warning "machinomy@1.9.6" has unmet peer dependency "mongodb@^2.2.31”. - if you don’t use mongodb you can skip this warning
Basically, there are not need to install peer dbms stuff - in this case Machinomy will use nedb storage.
vans163
@vans163
but why then when I do yarn global add machinomy
i dont have machinomy on commandline like the example
$ machinomy
bash: machinomy: command not found
so i assume it did not install correctly
im gonna try to install it from clone but i see a branch ahead of master migrators-2
im curious for example that shows how to lock up erc20 tokens in statechannel
Andrei Riaskov
@ARyaskov

i dont have machinomy on commandline like the example

Hmm, what says yarn global bin ? Is it path added to $PATH? What’s the OS you using?

im gonna try to install it from clone but i see a branch ahead of master migrators-2

Please, use master branch :)

vans163
@vans163

$ yarn global bin
/home/user/.yarn/bin

ls .. 0 files

its not in $PATH
regardless its empty..
Andrei Riaskov
@ARyaskov

Thank you for question! I tried it on my system (Mac) and I see the same - warning "machinomy@1.9.6" has no binaries and -bash: machinomy: command not found

I’ll be looking for solution today.

vans163
@vans163
man the examples are so tough :P so now when I run node packages/examples/src/client.js
I need to pass 2 ENV vars?
why doesnt github page show that. also theres a path typo
and still no reply on if its possible to send erc20 tokens, i see no example and I belive someone asked above as well. just curous :p
what is difference between HUB / APP
for my usecase I dont want to sell any content
I just want to create a payment channel, then allow the sender to choose how much to deposit/send
the receiver just echoes the current balance, and denies service if its empty
Andrei Riaskov
@ARyaskov

and still no reply on if its possible to send erc20 tokens, i see no example and I belive someone asked above as well. just curous :p

Sorry, but Machinomy hasn’t an ERC20 support nowadays (it has been recently removed). :)

vans163
@vans163
@ARyaskov ah bummer, is it possible to use an older version? the last supported version
Andrei Riaskov
@ARyaskov

@ARyaskov ah bummer, is it possible to use an older version? the last supported version

Need to ask @ukstv :) My bet on 1.5.0 or 1.6.0.

vans163
@vans163
any timeline for support?
like is it planned even
Andrei Riaskov
@ARyaskov

any timeline for support?
like is it planned even

It would be great to implement it, but there’s not in future release timeline right now.

also theres a path typo

Thank you very much! Fixed.